ECHO OFF
CLS
:START
IF %1==DRAW GOTO DRAW
IF %1==PLT GOTO PLOTDWG
IF %1==PRT GOTO PRINTER
CLS
:MESSAGE
@ECHO ----------------------------------------------------------------
@ECHO You Can Enter BP commands from the DOS prompt 
@ECHO Valid commands from the DOS prompt are:
@ECHO ----------------------------------------------------------------
@ECHO BP1 DRAW   For Editing Drawings 
@ECHO BP1 PLT    For Pen Plotting Drawing's to Printer
@ECHO BP1 PRT    For Printing (HI-RES)
@ECHO ----------------------------------------------------------------
ANSWER Enter BP command DRAW,PLT,PRT 
IF %ANSWER%==DRAW GOTO DRAW
IF %ANSWER%==PLT GOTO PLOTDWG
IF %ANSWER%==PRT GOTO PRINTER
GOTO QUIT

:DRAW
@ECHO          .........Loading AutoCad (Rel.10)
PATH=D:\;C:\ACAD;C:DOS;C:\LANTASTI;C:\
C:\QEMM\LOADHI /R:1 ACAD54B M54 V7A SD G
IF EXIST D:\ACAD.CFG GOTO BYPASS
COPY C:\ACAD\RAMDISK\*.* D:\
:BYPASS
SET ACAD=C:\ACAD\SUPPORT
SET ACADFREERAM=24
SET LISPHEAP=30000
SET LISPSTACK=5000
SET ACADCFG=D:\
CD\ACAD\DWGS
CALL DRAW
ACAD54B M54 V7A U
GOTO QUIT

:PLOTDWG
@ECHO         ......Preparing to generate .PLT Plot files
PATH=D:\;C:\ACAD;C:\DOS;C:\LANTASTI;C:\
IF EXIST D:\ACAD.CFG GOTO BYPASS1
COPY C:\ACAD\RAMDISK\*.* D:\
:BYPASS1
SET ACAD=C:\ACAD\SUPPORT
SET ACADCFG=D:\
SET LISPHEAP=0
SET LISPSTACK=0
SET ACADFREERAM=18
CD\ACAD\DWGS
CALL PLT

GOTO QUIT
:PRINTER
@ECHO         ......Preparing to Print Drawing files
PATH=D:\;C:\ACAD;C:\DOS;C:\LANTASTI;C:\
IF EXIST D:\ACAD.CFG GOTO BYPASS3
COPY C:\ACAD\RAMDISK\*.* D:\
:BYPASS3
SET ACAD=C:\ACAD\SUPPORT
SET ACADCFG=D:\
SET LISPHEAP=0
SET LISPSTACK=0
SET ACADFREERAM=18
CD\ACAD\DWGS
CALL PRT

GOTO QUIT

:ERROR
@ECHO        -----------------------------------------------------
@ECHO        All Drawings may not have been processed properly,
@ECHO        the file ACAD.ERR has been created by Autocad,
@ECHO        Error History has been sent to ERROR.FIL for viewing.
@ECHO        -----------------------------------------------------
TYPE C:\ACAD\DWGS\ACAD.ERR >> ERROR.FIL
DEL C:\ACAD\DWGS\ACAD.ERR
PAUSE
GOTO EXIT

:QUIT
@ECHO        .....Exiting AutoCAD enviroment
SET ACADCFG=
CD\
IF EXIST C:\ACAD\DWGS\ACAD.ERR GOTO ERROR
:EXIT
DI